%global pypi_name podman
%global desc %{pypi_name} is a library of bindings to use the RESTful API for Podman.

%global built_tag v3.2.1
%global built_tag_strip %(b=%{built_tag}; echo ${b:1})

Name: python-%{pypi_name}
Epoch: 3
Version: 3.2.1
Release: 1%{?dist}
Summary: RESTful API for Podman
License: ASL 2.0
URL: https://github.com/containers/%{pypi_name}-py
Source0: %{url}/releases/download/%{built_tag}/%{pypi_name}-%{version}.tar.gz
BuildArch: noarch

%description 
%desc

%package -n python%{python3_pkgversion}-%{pypi_name}
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel
BuildRequires: git-core
Provides: %{pypi_name}-py = %{version}-%{release}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%desc

%prep
%autosetup -Sgit_am -n %{pypi_name}-%{built_tag_strip}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}

%build
export PBR_VERSION="0.0.0"
%pyproject_wheel

%install
export PBR_VERSION="0.0.0"
%pyproject_install
%pyproject_save_files %{pypi_name}

%check

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Tue Sep 21 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> - 3:3.2.1-1
- autobuilt v3.2.1

* Mon Aug 16 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> - 3:3.2.0-1
- autobuilt v3.2.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3:3.1.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 08 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.1.2.4-5
- Change Source0 URL
- From: Neal Gompa <ngompa13@gmail.com>
- First build shipped in Fedora

* Tue Jun 08 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.1.2.4-4
- Provides: podman-py

* Mon Jun 07 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.1.2.4-3
- BR: python3-devel
- From: Miro Hrončok <mhroncok@redhat.com>

* Mon Jun 07 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.1.2.4-2
- address review comments

* Thu May 20 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.1.2.4-1
- Address Neal's and Miro's review comments

* Mon May 17 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.1.2.3-3
- Address Neal's review comments

* Fri May 14 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.1.2.3-2
- Bump Epoch to 3 to stay ahead of meta-provides: python-podman in python-podman-api

* Fri May 14 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3.1.2.3-1
- bump to v3.1.2.3

* Wed May 05 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3.1.1.3-3
- Packaging macros shamelessly copied from python3-toml package

* Tue May 04 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3.1.1.3-2
- add Provides: podman-py, python3-podman, python-podman-py, python3-podman-py
- update description

* Tue May 04 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3.1.1.3-1
- Initial package
